Agda-2.3.2: A dependently typed functional programming language and proof assistant

Safe Haskell | None

Agda.Compiler.CallCompiler

Description

A command which calls a compiler

Synopsis

- callCompiler :: FilePath -> [String] -> TCM ()
- callCompiler' :: FilePath -> [String] -> TCM (Maybe String)

# Documentation

callCompiler

Arguments

:: FilePath | The path to the compiler
-> [String] | Command-line arguments.
-> TCM () |

Calls a compiler:

- Checks the exit code to see if the compiler exits successfully. If not, then an exception is raised, containing the text the compiler printed to stderr (if any).
- Uses the debug printout machinery to relay any progress information the compiler prints to stdout.

callCompiler'

Arguments

:: FilePath | The path to the compiler
-> [String] | Command-line arguments.
-> TCM (Maybe String) |

Generalisation of `callCompiler` where the raised exception is returned.